View Issue Details

IDProjectCategoryView StatusLast Update
0017994LazarusIDEpublic2010-11-24 02:23
ReporterPhilAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSOS XOS Version10.6.5
Product Version0.9.29 (SVN)Product Build28360 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0017994: Background of IDE dialogs is BLACK
DescriptionBackground color of all dialogs in IDE is black.

TagsNo tags attached.
Fixed in Revision28427,28436 and others
LazTarget0.9.30
WidgetsetCarbon
Attached Files

Relationships

related to 0013577 closedPaul Ishenin default colors with QT 

Activities

2010-11-20 14:27

 

Laz_black_background.jpg (244,721 bytes)
Laz_black_background.jpg (244,721 bytes)

Phil

2010-11-20 14:28

reporter   ~0043300

This is a very new bug that makes Laz unuseable. See uploaded screenshot.

Also makes programs created with LCL / Carbon unuseable. Background of some controls is also black.

Thanks.

-Phil

Paul Ishenin

2010-11-21 03:19

manager   ~0043320

Please update from svn. I already fixed few problems but not all.

Zeljan Rikalo

2010-11-22 17:19

developer   ~0043376

I've fixed TGroupBox in 28411, but TRadioGroup and TCheckGroup are still black.

Zeljan Rikalo

2010-11-23 09:50

developer   ~0043399

As of r 28427 groupboxes are fixed completely.

Paul Ishenin

2010-11-23 14:23

manager   ~0043416

Please test and close if ok.

Phil

2010-11-24 02:22

reporter   ~0043449

Looks good to me. Thanks.

Issue History

Date Modified Username Field Change
2010-11-20 03:22 Phil New Issue
2010-11-20 03:22 Phil Widgetset => Carbon
2010-11-20 06:49 Vincent Snijders LazTarget => 0.9.30
2010-11-20 06:49 Vincent Snijders Assigned To => Paul Ishenin
2010-11-20 06:49 Vincent Snijders Status new => assigned
2010-11-20 06:49 Vincent Snijders Target Version => 0.9.30
2010-11-20 12:37 Zeljan Rikalo Relationship added related to 0013577
2010-11-20 14:27 Phil File Added: Laz_black_background.jpg
2010-11-20 14:28 Phil Note Added: 0043300
2010-11-21 03:19 Paul Ishenin Note Added: 0043320
2010-11-22 17:19 Zeljan Rikalo Note Added: 0043376
2010-11-23 09:50 Zeljan Rikalo Note Added: 0043399
2010-11-23 14:23 Paul Ishenin Fixed in Revision => 28427,28436 and others
2010-11-23 14:23 Paul Ishenin Status assigned => resolved
2010-11-23 14:23 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-11-23 14:23 Paul Ishenin Resolution open => fixed
2010-11-23 14:23 Paul Ishenin Note Added: 0043416
2010-11-24 02:22 Phil Note Added: 0043449
2010-11-24 02:23 Phil Status resolved => closed